ActiveMQConnectorGBean (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.gbean.ActiveMQConnectorGBean class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.gbean
Class ActiveMQConnectorGBean

    java.lang.Object
      org.codehaus.activemq.gbean.ActiveMQConnectorGBean

All Implemented Interfaces:
  org.apache.geronimo.gbean.GBeanLifecycle

public class ActiveMQConnectorGBean
extends Object
implements org.apache.geronimo.gbean.GBeanLifecycle

Default implementation of the ActiveMQ connector

Version:
  $Revision: 1.1 $

Field Summary
`static org.apache.geronimo.gbean.GBeanInfo` | `GBEAN_INFO`

Constructor Summary
`ActiveMQConnectorGBean(ActiveMQContainer container)`

Method Summary
`protected BrokerConnector` | `createBrokerConnector()`
`void` | `doFail()`
`void` | `doStart()`
`void` | `doStop()`
`static org.apache.geronimo.gbean.GBeanInfo` | `getGBeanInfo()`
`String` | `getUrl()`
`WireFormat` | `getWireFormat()`
`void` | `setUrl(String url)`
`void` | `setWireFormat(WireFormat wireFormat)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GBEAN_INFO

    public static final org.apache.geronimo.gbean.GBeanInfo GBEAN_INFO

Constructor Detail

### ActiveMQConnectorGBean

    public ActiveMQConnectorGBean(ActiveMQContainer container)

Method Detail

### getUrl

    public String getUrl()

### setUrl

    public void setUrl(String url)

### getWireFormat

    public WireFormat getWireFormat()

### setWireFormat

    public void setWireFormat(WireFormat wireFormat)

### doStart

    public void doStart()
                 throws org.apache.geronimo.gbean.WaitingException,
                        Exception

  Specified by:
    `doStart` in interface `org.apache.geronimo.gbean.GBeanLifecycle`
  Throws:
    `org.apache.geronimo.gbean.WaitingException`
    `Exception`

### doStop

    public void doStop()
                throws org.apache.geronimo.gbean.WaitingException,
                       Exception

  Specified by:
    `doStop` in interface `org.apache.geronimo.gbean.GBeanLifecycle`
  Throws:
    `org.apache.geronimo.gbean.WaitingException`
    `Exception`

### doFail

    public void doFail()

  Specified by:
    `doFail` in interface `org.apache.geronimo.gbean.GBeanLifecycle`

### createBrokerConnector

    protected BrokerConnector createBrokerConnector()
                                             throws Exception

  Throws:
    `Exception`

### getGBeanInfo

    public static org.apache.geronimo.gbean.GBeanInfo getGBeanInfo()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.